列出所有存储桶
GET /accounts/{account_id}/topology/v1/buckets
返回集合中所有匹配资源的 JSON 数组。如果在请求中指定了单个字段,则项目 JSON 数组将包含按指定顺序为每个匹配资源请求的字段。
参数
| 名称 | Type | 在 | Required | Description |
|---|---|---|---|---|
account_id |
string |
path |
True |
包含帐户资源的 ID
|
响应
Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
| 名称 | Type | Required | Description |
|---|---|---|---|
个项 |
数组[任意以下之一:"bucket_1.2_get_response_body",数组[]] |
True |
|
元数据 |
True |
响应示例
{
"type": "application/astra-buckets",
"version": "1.2",
"items": [
[
"4c753e39-25e9-4b36-a8de-69f168aa59cd",
"Test Bucket",
"gcp"
],
[
"d8fd585d-6429-4c08-a308-af193a88eac7",
"Local",
"ontap-s3"
]
],
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
响应
Status: 401, Unauthorized
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
响应
Status: 400, Bad request
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
|
invalidParams |
数组["invalidParams"] |
False |
无效查询参数列表 |
响应示例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
响应
Status: 403, Forbidden
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
错误
Status: 404, Not found
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
错误响应示例
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
定义
查看定义
additionalDetails
type_astra_stateDetail
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
additionalDetails |
False |
s3
提供 Simple Storage Service (S3) 协议参数的 JSON 对象。(将此对象用于所有 S3 类型提供程序)。
| 名称 | Type | Required | Description |
|---|---|---|---|
服务器 URL |
string |
True |
包含存储桶基本路径 URL 的 JSON 字符串。定义的值为:
|
bucketName |
string |
True |
包含 S3 存储桶名称的 JSON 字符串。定义的值为:
|
gcp
提供 Google Cloud 协议参数的 JSON 对象。
| 名称 | Type | Required | Description |
|---|---|---|---|
bucketName |
string |
True |
包含支持的 Google Cloud 存储桶名称的 JSON 字符串。定义的值为:
|
azure
提供 Azure 协议参数的 JSON 对象。
| 名称 | Type | Required | Description |
|---|---|---|---|
storageAccount |
string |
True |
包含 Azure 存储帐户名称的 JSON 字符串。定义的值为:
|
bucketName |
string |
True |
包含支持的 Azure blob 名称的 JSON 字符串。定义的值为:
|
bucketParameters
提供访问存储桶所需的存储桶提供程序特定信息的 JSON 对象。此存储桶中的特定值因提供程序而异。
| 名称 | Type | Required | Description |
|---|---|---|---|
s3 |
False |
提供 Simple Storage Service (S3) 协议参数的 JSON 对象。(将此对象用于所有 S3 类型提供程序)。 |
|
gcp |
False |
提供 Google Cloud 协议参数的 JSON 对象。 |
|
azure |
False |
提供 Azure 协议参数的 JSON 对象。 |
类型 Astra 标签
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
|
value |
string |
True |
type_astra_metadata_update
与资源关联的客户端和服务指定的元数据。定义的值为:
-
符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。
| 名称 | Type | Required | Description |
|---|---|---|---|
labels |
数组["类型 Astra 标签"] |
False |
|
creationTimestamp |
string |
False |
|
modificationTimestamp |
string |
False |
|
已创建 |
string |
False |
|
modifiedBy |
string |
False |
bucket_1.2_get_response_body
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
资源的媒体类型。定义的值为:
|
version |
string |
True |
资源的版本。定义的值为:
|
id |
string |
True |
资源的全局唯一标识符。定义的值为:
|
name |
string |
True |
包含用户分配的存储桶名称的 JSON 字符串。定义的值为:
|
凭证 ID |
string |
True |
包含用于访问存储区的凭据标识符的 JSON 字符串。定义的值为:
|
状态 |
string |
True |
包含指示存储桶操作状态的值的 JSON 字符串。定义的值为:
|
stateDetails |
True |
JSON 对象的 JSON 数组,列出有关"state"转换为"removed"或"failed"的其他详细信息。如果没有可用的详细信息,此数组将为空。
|
|
retentionTime |
数字 |
False |
表示此存储区上的文件将被保留的时间的秒数。定义的值为:
|
提供商 |
string |
True |
JSON 字符串,表示可用于访问存储桶的存储桶协议。定义的值为:
|
bucketParameters |
True |
提供访问存储桶所需的存储桶提供程序特定信息的 JSON 对象。此存储桶中的特定值因提供程序而异。 |
|
元数据 |
True |
与资源关联的客户端和服务指定的元数据。定义的值为:
|
type_astra_metadata_list
| 名称 | Type | Required | Description |
|---|---|---|---|
继续 |
string |
False |
|
count |
数字 |
False |
|
labels |
数组["类型 Astra 标签"] |
False |
|
creationTimestamp |
string |
False |
|
modificationTimestamp |
string |
False |
|
已创建 |
string |
False |
|
modifiedBy |
string |
False |
invalidParams
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
无效查询参数的名称 |
原因 |
string |
True |
查询参数无效的原因 |